> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Companies by Sales URL

* Works exactly the same endpoint [**Search Companies**](https://fdocs.info/api-reference/endpoint/search-companies) except that it takes a search url as the input. It's helpful when you already have sales navigator search url(s).


## OpenAPI

````yaml POST /search-companies-by-sales-nav-url
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /search-companies-by-sales-nav-url:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                  description: ''
                  example: >-
                    https://www.linkedin.com/sales/search/people?coach=false&query=(filters%3AList((type%3AREGION%2Cvalues%3AList((id%3A103644278%2CselectionType%3AINCLUDED)))%2C(type%3ACURRENT_COMPANY%2Cvalues%3AList((id%3A82274765%2CselectionType%3AINCLUDED)))))
                limit:
                  type: integer
                  description: 'Limit the number of results. Default: 25. Maximum 1000.'
                  example: 25
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchCompanies'
        '400':
          description: Invalid payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidPayload'
        '503':
          description: System Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
components:
  schemas:
    SearchCompanies:
      type: object
      properties:
        message:
          type: string
          example: >-
            Use this request_id to check your search with 'Check Search
            Companies Status' endpoint
        request_id:
          type: string
          example: ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o
    InvalidPayload:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid payload.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````